Octo 1.8.2 update error: 401 Client Error: Unauthorized for url: http://newstream.getanywhere.io/api/dev_settings

What is the problem?

Octoprint 1.8.2 does not install. I get this error.
401 Client Error: Unauthorized for url: http://newstream.getanywhere.io/api/dev_settings

What did you already try to solve it?

Searched forums but did not see anything.

Have you tried running in safe mode?

Yes. Ran in regular and safe mode

Did running in safe mode solve the problem?

no

Systeminfo Bundle

You can download this in OctoPrint's System Information dialog ... no bundle, no support!)

browser.user_agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:103.0) Gecko/20100101 Firefox/103.0
connectivity.connection_check: 8.8.8.8:53
connectivity.connection_ok: true
connectivity.enabled: true
connectivity.online: true
connectivity.resolution_check: octoprint.org
connectivity.resolution_ok: true
env.hardware.cores: 4
env.hardware.freq: 1400
env.hardware.ram: 918192128
env.os.bits: 32
env.os.id: linux
env.os.platform: linux2
env.plugins.pi_support.model: Raspberry Pi 3 Model B Plus Rev 1.3
env.plugins.pi_support.octopi_version: 0.15.1
env.plugins.pi_support.throttle_state: 0x50000
env.python.pip: 9.0.3
env.python.version: 2.7.13
env.python.virtualenv: true
octoprint.safe_mode: false
octoprint.version: 1.5.2
printer.firmware: Prusa-Firmware 3.10.1 based on Marlin

Additional information about your setup

OctoPrint version, OctoPi version, printer, firmware, browser, operating system, ... as much data as possible

1.5.2 trying to update to 1.8.2
Prusa-Firmware 3.10.1 based on Marlin
Mozilla 5.0

Thank You
Richard
plugin_softwareupdate_console(1).log (137.3 KB)
octoprint(3).log (231.2 KB)

Figured it out. Need to update Python to 3.7

1 Like